Index: /extensions/PiwigoLib/PiwigoWpf/DTO/Helper/PwgAlbumWPFHelper.cs
===================================================================
--- /extensions/PiwigoLib/PiwigoWpf/DTO/Helper/PwgAlbumWPFHelper.cs	(revision 12336)
+++ /extensions/PiwigoLib/PiwigoWpf/DTO/Helper/PwgAlbumWPFHelper.cs	(revision 12336)
@@ -0,0 +1,45 @@
+﻿using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Text;
+using Com.Piwigo.Lib.DTO;
+
+namespace Com.Piwigo.Wpf.DTO.Helper
+{
+    public static class PwgAlbumWPFHelper
+    {
+        public static void ConvertPwgAlbumToPwgAlbumWPF(PwgAlbum aPwgAlbum,
+                                                       ref PwgAlbumWPF aPwgAlbumWPF)
+        {
+            if (aPwgAlbum != null)
+            {
+                if (aPwgAlbumWPF == null)
+                {
+                    aPwgAlbumWPF = new PwgAlbumWPF();
+                }
+                aPwgAlbumWPF.DeepImagesCount = aPwgAlbum.DeepImagesCount;
+                aPwgAlbumWPF.Id = aPwgAlbum.Id;
+                aPwgAlbumWPF.ImagesCount = aPwgAlbum.ImagesCount;
+                aPwgAlbumWPF.LastDate = aPwgAlbum.LastDate;
+                aPwgAlbumWPF.Name = aPwgAlbum.Name;
+                aPwgAlbumWPF.SubAlbumsCount = aPwgAlbum.SubAlbumsCount;
+                aPwgAlbumWPF.Url = aPwgAlbum.Url;
+
+                if (aPwgAlbumWPF.UpperAlbumsId == null)
+                {
+                    aPwgAlbumWPF.UpperAlbumsId = new System.Collections.ObjectModel.ObservableCollection<Int32>();
+                }
+                else
+                {
+                    aPwgAlbumWPF.UpperAlbumsId.Clear();
+                }
+
+                foreach (Int32 i in aPwgAlbum.UpperAlbumsId)
+                {
+                    aPwgAlbumWPF.UpperAlbumsId.Add(i);
+                }
+            }
+
+        }
+    }
+}
Index: /extensions/PiwigoLib/PiwigoWpf/DTO/Helper/PwgImageWPFHelper.cs
===================================================================
--- /extensions/PiwigoLib/PiwigoWpf/DTO/Helper/PwgImageWPFHelper.cs	(revision 12335)
+++ /extensions/PiwigoLib/PiwigoWpf/DTO/Helper/PwgImageWPFHelper.cs	(revision 12336)
@@ -28,16 +28,16 @@
                 aPwgImageWPF.Width = aPwgImage.Width;
 
-                if (aPwgImageWPF.Categories == null)
+                if (aPwgImageWPF.Albums == null)
                 {
-                    aPwgImageWPF.Categories = new System.Collections.ObjectModel.ObservableCollection<PwgCategoryWPF>();
+                    aPwgImageWPF.Albums = new System.Collections.ObjectModel.ObservableCollection<PwgAlbumWPF>();
                 }
                 else
                 {
-                    aPwgImageWPF.Categories.Clear();
+                    aPwgImageWPF.Albums.Clear();
                 }
 
-                foreach (PwgCategoryWPF c in aPwgImageWPF.Categories)
+                foreach (PwgAlbumWPF c in aPwgImageWPF.Albums)
                 {
-                    aPwgImageWPF.Categories.Add(c);
+                    aPwgImageWPF.Albums.Add(c);
                 }
 
Index: /extensions/PiwigoLib/PiwigoWpf/DTO/Helper/PwgTagListWPFHelper.cs
===================================================================
--- /extensions/PiwigoLib/PiwigoWpf/DTO/Helper/PwgTagListWPFHelper.cs	(revision 12335)
+++ /extensions/PiwigoLib/PiwigoWpf/DTO/Helper/PwgTagListWPFHelper.cs	(revision 12336)
@@ -9,18 +9,18 @@
     public static class PwgTagListWPFHelper
     {
-        public static void AddPwgTagToList(PwgTag aPwgCategory,
-                                           ref PwgTagListWPF aPwgCategoryListWPF)
+        public static void AddPwgTagToList(PwgTag aPwgAlbum,
+                                           ref PwgTagListWPF aPwgAlbumListWPF)
         {
-            if (aPwgCategory != null)
+            if (aPwgAlbum != null)
             {
-                if (aPwgCategoryListWPF == null)
+                if (aPwgAlbumListWPF == null)
                 {
-                    aPwgCategoryListWPF = new PwgTagListWPF();
+                    aPwgAlbumListWPF = new PwgTagListWPF();
                 }
 
                 PwgTagWPF pwgTag = new PwgTagWPF();
-                PwgTagWPFHelper.ConvertPwgTagToPwgTagWPF(aPwgCategory, ref pwgTag);
+                PwgTagWPFHelper.ConvertPwgTagToPwgTagWPF(aPwgAlbum, ref pwgTag);
 
-                aPwgCategoryListWPF.Add(pwgTag);
+                aPwgAlbumListWPF.Add(pwgTag);
             }
         }
Index: /extensions/PiwigoLib/PiwigoWpf/DTO/LocalPwgAlbum.cs
===================================================================
--- /extensions/PiwigoLib/PiwigoWpf/DTO/LocalPwgAlbum.cs	(revision 12336)
+++ /extensions/PiwigoLib/PiwigoWpf/DTO/LocalPwgAlbum.cs	(revision 12336)
@@ -0,0 +1,70 @@
+﻿using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Text;
+using System.ComponentModel;
+
+namespace Com.Piwigo.Wpf.DTO
+{
+    public class LocalPwgAlbumListWPF : AsyncObservableCollection<LocalPwgAlbumWPF>
+    {}
+
+    public class LocalPwgAlbumWPF : INotifyPropertyChanged
+    {
+        private Int32 _id;
+        public Int32 Id
+        {
+            set { _id = value; OnPropertyChanged("Id"); }
+            get { return _id; }
+        }
+
+        private String _messageInfo;
+        public String MessageInfo
+        {
+            set { _messageInfo = value; OnPropertyChanged("MessageInfo"); }
+            get { return _messageInfo; }
+        }
+
+        private String _name;
+        public String Name
+        {
+            set { _name = value; OnPropertyChanged("Name"); }
+            get { return _name; }
+        }
+
+        private String _localDir;
+        public String LocalDir
+        {
+            set { _localDir = value; OnPropertyChanged("LocalDir"); }
+            get { return _localDir; }
+        }
+
+        private Int32 _upperCatId;
+        public Int32 UpperCatId
+        {
+            set { _upperCatId = value; OnPropertyChanged("UpperCatId"); }
+            get { return _upperCatId; }
+        }
+
+        private LocalPwgAlbumListWPF _subAlbums;
+        public LocalPwgAlbumListWPF SubAlbums
+        {
+            set { _subAlbums = value; OnPropertyChanged("SubAlbums"); }
+            get { return _subAlbums; }
+        }
+
+        private LocalPwgImageListWPF _localImages;
+        public LocalPwgImageListWPF LocalImages
+        {
+            set { _localImages = value; OnPropertyChanged("LocalImages"); }
+            get { return _localImages; }
+        }
+
+        public event PropertyChangedEventHandler PropertyChanged;
+        protected void OnPropertyChanged(String info)
+        {
+            if (PropertyChanged != null)
+                PropertyChanged(this, new PropertyChangedEventArgs(info));
+        }
+    }
+}
Index: /extensions/PiwigoLib/PiwigoWpf/DTO/LocalPwgImage.cs
===================================================================
--- /extensions/PiwigoLib/PiwigoWpf/DTO/LocalPwgImage.cs	(revision 12335)
+++ /extensions/PiwigoLib/PiwigoWpf/DTO/LocalPwgImage.cs	(revision 12336)
@@ -14,5 +14,5 @@
     {
         //FileInfo highResFile, FileInfo lowResFile, FileInfo thumbFile, String imageName, String imageAuthor, DateTime creationDate,
-        //    String authorComment, List<String> lstCategories, List<String> lstTags, PwgConfidentLevelEnum? confidentLevel
+        //    String authorComment, List<String> lstAlbums, List<String> lstTags, PwgConfidentLevelEnum? confidentLevel
 
         private Int32 _id;
Index: /extensions/PiwigoLib/PiwigoWpf/DTO/PwgAlbumListWPF.cs
===================================================================
--- /extensions/PiwigoLib/PiwigoWpf/DTO/PwgAlbumListWPF.cs	(revision 12336)
+++ /extensions/PiwigoLib/PiwigoWpf/DTO/PwgAlbumListWPF.cs	(revision 12336)
@@ -0,0 +1,16 @@
+﻿using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Text;
+using System.Collections.ObjectModel;
+using System.ComponentModel;
+
+namespace Com.Piwigo.Wpf.DTO
+{
+    public class PwgAlbumListWPF : AsyncObservableCollection<PwgAlbumWPF> 
+    {}
+
+    public class PwgRootAlbumListWPF : AsyncObservableCollection<PwgRootAlbumWPF>
+    { }
+
+}
Index: /extensions/PiwigoLib/PiwigoWpf/DTO/PwgImageWPF.cs
===================================================================
--- /extensions/PiwigoLib/PiwigoWpf/DTO/PwgImageWPF.cs	(revision 12335)
+++ /extensions/PiwigoLib/PiwigoWpf/DTO/PwgImageWPF.cs	(revision 12336)
@@ -112,10 +112,10 @@
         }
 
-        //public List<PwgCategoryWPF> Categories { get; set; }
-        private ObservableCollection<PwgCategoryWPF> _categories;
-        public ObservableCollection<PwgCategoryWPF> Categories
+        //public List<PwgAlbumWPF> Albums { get; set; }
+        private ObservableCollection<PwgAlbumWPF> _Albums;
+        public ObservableCollection<PwgAlbumWPF> Albums
         {
-            set { _categories = value; OnPropertyChanged("Categories"); }
-            get { return _categories; }
+            set { _Albums = value; OnPropertyChanged("Albums"); }
+            get { return _Albums; }
         }
         public event PropertyChangedEventHandler PropertyChanged;
Index: /extensions/PiwigoLib/PiwigoWpf/DTO/PwgModelManager.cs
===================================================================
--- /extensions/PiwigoLib/PiwigoWpf/DTO/PwgModelManager.cs	(revision 12335)
+++ /extensions/PiwigoLib/PiwigoWpf/DTO/PwgModelManager.cs	(revision 12336)
@@ -67,16 +67,16 @@
             }
 
-            private PwgRootCategoryListWPF _categoryList = new PwgRootCategoryListWPF();
-            public PwgRootCategoryListWPF CategoryList
+            private PwgRootAlbumListWPF _AlbumList = new PwgRootAlbumListWPF();
+            public PwgRootAlbumListWPF AlbumList
             {
-                set { _categoryList = value; OnPropertyChanged("CategoryList"); }
-                get { return _categoryList; }
+                set { _AlbumList = value; OnPropertyChanged("AlbumList"); }
+                get { return _AlbumList; }
             }
 
-            private PwgRootCategoryWPF _rootCategoryList;
-            public PwgRootCategoryWPF RootCategoryList
+            private PwgRootAlbumWPF _rootAlbumList;
+            public PwgRootAlbumWPF RootAlbumList
             {
-                set { _rootCategoryList = value; OnPropertyChanged("RootCategoryList"); }
-                get { return _rootCategoryList; }
+                set { _rootAlbumList = value; OnPropertyChanged("RootAlbumList"); }
+                get { return _rootAlbumList; }
             }
 
@@ -96,9 +96,9 @@
             }
 
-            private LocalPwgCategoryListWPF _localCategoryToImport;
-            public LocalPwgCategoryListWPF LocalCategoryToImport
+            private LocalPwgAlbumListWPF _localAlbumToImport;
+            public LocalPwgAlbumListWPF LocalAlbumToImport
             {
-                set { _localCategoryToImport = value; OnPropertyChanged("LocalCategoryToImport"); }
-                get { return _localCategoryToImport; }
+                set { _localAlbumToImport = value; OnPropertyChanged("LocalAlbumToImport"); }
+                get { return _localAlbumToImport; }
             }
             
Index: /extensions/PiwigoLib/PiwigoWpf/DTO/PwgTreeAlbumWPF.cs
===================================================================
--- /extensions/PiwigoLib/PiwigoWpf/DTO/PwgTreeAlbumWPF.cs	(revision 12336)
+++ /extensions/PiwigoLib/PiwigoWpf/DTO/PwgTreeAlbumWPF.cs	(revision 12336)
@@ -0,0 +1,195 @@
+﻿using System;
+using System.Collections.Generic;
+using System.Text;
+
+using Com.Piwigo.Lib.DTO;
+using System.ComponentModel;
+using System.Collections.ObjectModel;
+
+namespace Com.Piwigo.Wpf.DTO
+{
+    public abstract class PwgTreeAlbumWPF : INotifyPropertyChanged
+    {
+        public abstract Int32 Id
+        {
+            get;
+            set;
+        }
+
+        private String _name;
+        public String Name
+        {
+            set { _name = value; OnPropertyChanged("Name"); }
+            get { return _name; }
+        }
+
+        public event PropertyChangedEventHandler PropertyChanged;
+        protected void OnPropertyChanged(String info)
+        {
+            if (PropertyChanged != null)
+                PropertyChanged(this, new PropertyChangedEventArgs(info));
+        }
+
+        #region IsExpanded
+
+        /// <summary>
+        /// Gets/sets whether the TreeViewItem 
+        /// associated with this object is expanded.
+        /// </summary>
+        private bool _isExpanded = false;
+        public bool IsExpanded
+        {
+            get { return _isExpanded; }
+            set
+            {
+                if (value != _isExpanded)
+                {
+                    _isExpanded = value;
+                    this.OnPropertyChanged("IsExpanded");
+                }
+
+                // Expand all the way up to the root.
+                if (_isExpanded && _parent != null)
+                    _parent.IsExpanded = true;
+            }
+        }
+
+        #endregion // IsExpanded
+
+        #region IsSelected
+
+        /// <summary>
+        /// Gets/sets whether the TreeViewItem 
+        /// associated with this object is selected.
+        /// </summary>
+        private bool _isSelected = false;
+        public bool IsSelected
+        {
+            get { return _isSelected; }
+            set
+            {
+                if (value != _isSelected)
+                {
+                    _isSelected = value;
+                    this.OnPropertyChanged("IsSelected");
+                }
+            }
+        }
+
+        #endregion // IsSelected
+
+        #region Parents - Childs
+        private PwgAlbumWPF _parent = null;
+        public abstract PwgAlbumWPF Parent
+        {
+            get;
+            set;
+        }
+
+        private PwgAlbumListWPF _childrens = null;
+        public PwgAlbumListWPF Childrens
+        {
+            get { return _childrens; }
+            set { _childrens = value; this.OnPropertyChanged("Childrens"); }
+        }
+
+        #endregion // Parent
+    }
+
+    public class PwgRootAlbumWPF : PwgTreeAlbumWPF
+    {
+        private Int32 _id = Com.Piwigo.Lib.DTO.PwgAlbum.RootAlbumId;
+        public override Int32 Id
+        {
+            set { throw new SystemException("Couldn't not set the Id for Root Album"); }
+            get { return _id; }
+        }
+ 
+        private PwgAlbumWPF _parent = null;
+        public override PwgAlbumWPF Parent
+        {
+            get { return _parent; }
+            set { throw new SystemException("Couldn't not set Parent for Root Album"); }
+        }
+    }
+
+    public class PwgAlbumWPF : PwgTreeAlbumWPF
+    {
+        private Int32 _id;
+        public override Int32 Id
+        {
+            set { _id = value; OnPropertyChanged("Id"); }
+            get { return _id; }
+        }
+
+        private ObservableCollection<Int32> _upperAlbumsId;
+        public  ObservableCollection<Int32> UpperAlbumsId
+        {
+            set { _upperAlbumsId = value; OnPropertyChanged("UpperAlbumsId"); }
+            get { return _upperAlbumsId; }
+        }
+
+        private Uri _url;
+        public Uri Url
+        {
+            set { _url = value; OnPropertyChanged("Url"); }
+            get { return _url; }
+        }
+
+        private Int64 _imagesCount;
+        public Int64 ImagesCount
+        {
+            set { _imagesCount = value; OnPropertyChanged("ImagesCount"); }
+            get { return _imagesCount; }
+        }
+
+        private Int64 _deepImagesCount;
+        public Int64 DeepImagesCount
+        {
+            set { _deepImagesCount = value; OnPropertyChanged("DeepImagesCount"); }
+            get { return _deepImagesCount; }
+        }
+
+        private Int64 _subAlbumsCount;
+        public Int64 SubAlbumsCount
+        {
+            set { _subAlbumsCount = value; OnPropertyChanged("SubAlbumsCount"); }
+            get { return _subAlbumsCount; }
+        }
+
+        private DateTime _lastDate;
+        public  DateTime LastDate
+        {
+            set { _lastDate = value; OnPropertyChanged("LastDate"); }
+            get { return _lastDate; }
+        }
+
+        #region Presentation Members
+
+        #region Parents - Childs
+        private PwgAlbumWPF _parent = null;
+        public override PwgAlbumWPF Parent
+        {
+            set { _parent = value; OnPropertyChanged("Parent"); }
+            get { return _parent; }
+        }
+        #endregion // Parents - Childs
+        #endregion // Presentation Members
+
+        #region local Album for import
+        private Boolean _isLocal;
+        public Boolean IsLocal
+        {
+            get { return _isLocal; }
+            set { _isLocal = value; }
+        }
+
+        private String  _localFile;
+        public String LocalFile
+        {
+            get { return _localFile; }
+            set { _localFile = value; }
+        }
+        #endregion // local Album for import
+    }
+}
Index: /extensions/PiwigoLib/PiwigoWpf/MainWindow.xaml
===================================================================
--- /extensions/PiwigoLib/PiwigoWpf/MainWindow.xaml	(revision 12335)
+++ /extensions/PiwigoLib/PiwigoWpf/MainWindow.xaml	(revision 12336)
@@ -142,9 +142,9 @@
                 Grid.Row="1"  
                 MinWidth="180" >
-            <TabItem Header="Categories">
-            <TreeView Name="listViewCategory"  
-                DataContext="{Binding Source={StaticResource Categories}}" 
-                ItemsSource="{Binding}"  MouseDoubleClick="listViewCategory_MouseDoubleClick"
-                HorizontalAlignment="Left" PreviewMouseDown="listViewCategory_PreviewMouseDown">
+            <TabItem Header="Albums">
+            <TreeView Name="listViewAlbum"  
+                DataContext="{Binding Source={StaticResource Albums}}" 
+                ItemsSource="{Binding}"  MouseDoubleClick="listViewAlbum_MouseDoubleClick"
+                HorizontalAlignment="Left" PreviewMouseDown="listViewAlbum_PreviewMouseDown">
                 <TreeView.ItemContainerStyle>
                     <!-- 
@@ -188,5 +188,5 @@
                 <TreeView.Resources>
                     <HierarchicalDataTemplate 
-                    DataType="{x:Type pwgdto:PwgTreeCategoryWPF}" 
+                    DataType="{x:Type pwgdto:PwgTreeAlbumWPF}" 
                     ItemsSource="{Binding Childrens}"
                     >
@@ -200,5 +200,5 @@
                     </HierarchicalDataTemplate>
                     <HierarchicalDataTemplate 
-                DataType="{x:Type pwgdto:PwgCategoryWPF}" 
+                DataType="{x:Type pwgdto:PwgAlbumWPF}" 
                 ItemsSource="{Binding Childrens}"
                 >
@@ -213,6 +213,6 @@
                                     <TextBlock Text="{Binding Path=ImagesCount}"/>
                                     <TextBlock Text=" images inside"/>
-                                    <TextBlock Text="{Binding Path=SubCategoriesCount}"/>
-                                    <TextBlock Text=" categories inside"/>
+                                    <TextBlock Text="{Binding Path=SubAlbumsCount}"/>
+                                    <TextBlock Text=" Albums inside"/>
                                 </UniformGrid>
                             </StackPanel.ToolTip>
Index: /extensions/PiwigoLib/PiwigoWpf/MainWindow.xaml.cs
===================================================================
--- /extensions/PiwigoLib/PiwigoWpf/MainWindow.xaml.cs	(revision 12335)
+++ /extensions/PiwigoLib/PiwigoWpf/MainWindow.xaml.cs	(revision 12336)
@@ -30,18 +30,18 @@
         }
 
-        private void listViewCategory_MouseDoubleClick(object sender, MouseButtonEventArgs e)
+        private void listViewAlbum_MouseDoubleClick(object sender, MouseButtonEventArgs e)
         {
-            AppHelper.ExecuteCommand<PwgCmdGetImageforCategory>(listViewCategory.SelectedValue);
+            AppHelper.ExecuteCommand<PwgCmdGetImageforAlbum>(listViewAlbum.SelectedValue);
         }
 
         private void listViewImage_SelectionChanged(object sender, SelectionChangedEventArgs e)
         {
-            if (PwgCmdSelectImageInCategory.Command.CanExecute(sender))
+            if (PwgCmdSelectImageInAlbum.Command.CanExecute(sender))
             {
-                PwgCmdSelectImageInCategory.Command.Execute(sender);
+                PwgCmdSelectImageInAlbum.Command.Execute(sender);
             }
         }
 
-        private void listViewCategory_PreviewMouseDown(object sender, MouseButtonEventArgs e)
+        private void listViewAlbum_PreviewMouseDown(object sender, MouseButtonEventArgs e)
         {
             e.Handled = false;
@@ -53,7 +53,7 @@
             if (dep != null)
             {
-                if (((TreeViewItem)dep).DataContext is PwgCategoryWPF)
+                if (((TreeViewItem)dep).DataContext is PwgAlbumWPF)
                 {
-                    PwgCategoryWPF aCat = (PwgCategoryWPF)((TreeViewItem)dep).DataContext;
+                    PwgAlbumWPF aCat = (PwgAlbumWPF)((TreeViewItem)dep).DataContext;
 
                     if ((e.ChangedButton == MouseButton.Left) && (e.ClickCount == 1))
@@ -62,5 +62,5 @@
                         if (aCat.Childrens == null)
                         {
-                            AppHelper.ExecuteCommand<PwgCmdGetSubCategorieforCategory>(aCat);
+                            AppHelper.ExecuteCommand<PwgCmdGetSubAlbumforAlbum>(aCat);
                         }
                     }
Index: /extensions/PiwigoLib/PiwigoWpf/PiwigoWpf.csproj
===================================================================
--- /extensions/PiwigoLib/PiwigoWpf/PiwigoWpf.csproj	(revision 12335)
+++ /extensions/PiwigoLib/PiwigoWpf/PiwigoWpf.csproj	(revision 12336)
@@ -76,11 +76,11 @@
     </ApplicationDefinition>
     <Compile Include="Command\PwgCmdGetImageforTag.cs" />
-    <Compile Include="Command\PwgCmdGetSubCategorieforCategory.cs" />
-    <Compile Include="Command\PwgCmdSelectImageInCategory.cs" />
+    <Compile Include="Command\PwgCmdGetSubAlbumforAlbum.cs" />
+    <Compile Include="Command\PwgCmdSelectImageInAlbum.cs" />
     <Compile Include="Command\DelegateCommand.cs" />
     <Compile Include="Command\PwgCmdDeleteTrace.cs" />
     <Compile Include="Command\PwgCmdDisconnect.cs" />
     <Compile Include="Command\PwgCmdEventsConsumer.cs" />
-    <Compile Include="Command\PwgCmdGetImageforCategory.cs" />
+    <Compile Include="Command\PwgCmdGetImageforAlbum.cs" />
     <Compile Include="Command\PwgCmdProvider.cs" />
     <Compile Include="Command\PwgCmdConnect.cs" />
@@ -91,8 +91,8 @@
     <Compile Include="DTO\Helper\PwgImageListWPFHelper.cs" />
     <Compile Include="DTO\Helper\PwgImageWPFHelper.cs" />
-    <Compile Include="DTO\Helper\PwgCategoryWPFHelper.cs" />
-    <Compile Include="DTO\Helper\PwgCategoryListWPFHelper.cs" />
+    <Compile Include="DTO\Helper\PwgAlbumWPFHelper.cs" />
+    <Compile Include="DTO\Helper\PwgAlbumListWPFHelper.cs" />
     <Compile Include="DTO\Helper\PwgSessionWPFHelper.cs" />
-    <Compile Include="DTO\LocalPwgCategory.cs" />
+    <Compile Include="DTO\LocalPwgAlbum.cs" />
     <Compile Include="DTO\LocalPwgImage.cs" />
     <Compile Include="DTO\PwgModelManager.cs" />
@@ -117,6 +117,6 @@
     <Compile Include="DTO\PwgTagListWPF.cs" />
     <Compile Include="DTO\PwgImageListWPF.cs" />
-    <Compile Include="DTO\PwgCategoryListWPF.cs" />
-    <Compile Include="DTO\PwgCategoryWPF.cs" />
+    <Compile Include="DTO\PwgAlbumListWPF.cs" />
+    <Compile Include="DTO\PwgTreeAlbumWPF.cs" />
     <Compile Include="DTO\PwgImageWPF.cs" />
     <Compile Include="DTO\PwgSessionWPF.cs" />
Index: /extensions/PiwigoLib/PiwigoWpf/Services/ImageCacheManager.cs
===================================================================
--- /extensions/PiwigoLib/PiwigoWpf/Services/ImageCacheManager.cs	(revision 12335)
+++ /extensions/PiwigoLib/PiwigoWpf/Services/ImageCacheManager.cs	(revision 12336)
@@ -64,16 +64,16 @@
             #region DTO
             // local DTO
-            internal class CategoryDictionnaryItem
+            internal class AlbumDictionnaryItem
             {
                 internal DirectoryInfo BasePath;
-                internal String CategorieId;
+                internal String AlbumId;
             };
 
-            internal class CategoryDictionnary : SortedDictionary<String, CategoryDictionnaryItem> { };
+            internal class AlbumDictionnary : SortedDictionary<String, AlbumDictionnaryItem> { };
 
             internal class ServerDictionnaryItem
             {
                 internal DirectoryInfo BasePath;
-                internal CategoryDictionnary Categories;
+                internal AlbumDictionnary Albums;
                 internal Uri ServeurUrl;
             };
@@ -86,5 +86,5 @@
             internal ServerDictionnary _aServerDictionnary;
             internal ServerDictionnaryItem _currentServer;
-            internal CategoryDictionnaryItem _currentCategory;
+            internal AlbumDictionnaryItem _currentAlbum;
 
             #endregion DTO
@@ -100,17 +100,17 @@
             }
             
-            static private String BuildCategoryDirCache(ServerDictionnaryItem server, String CatgeoryId)
-            {
-                String CategoryDirCache = String.Empty;
+            static private String BuildAlbumDirCache(ServerDictionnaryItem server, String CatgeoryId)
+            {
+                String AlbumDirCache = String.Empty;
                 if (server != null)
                 {
-                    CategoryDirCache = Path.Combine(server.BasePath.FullName, CatgeoryId.Replace("/", "_")); 
+                    AlbumDirCache = Path.Combine(server.BasePath.FullName, CatgeoryId.Replace("/", "_")); 
                 }
                 else
                 {
-                    throw new ApplicationException ("Current server not set before using category");
-                }
-
-                return CategoryDirCache;
+                    throw new ApplicationException ("Current server not set before using Album");
+                }
+
+                return AlbumDirCache;
             }
 
@@ -147,5 +147,5 @@
             public void UnsetCurrentServer()
             { 
-                _currentCategory = null;
+                _currentAlbum = null;
                 _currentServer = null;
             }
@@ -171,5 +171,5 @@
                         server.ServeurUrl = new Uri(serveurUri);
                         server.BasePath = new DirectoryInfo(currentserverDir);
-                        server.Categories = new CategoryDictionnary();
+                        server.Albums = new AlbumDictionnary();
                         _aServerDictionnary.Add(serveurUri, server);
                         _currentServer = server;
@@ -180,10 +180,10 @@
                         //Create it
                         Directory.CreateDirectory(currentserverDir);
-                        _currentServer.Categories.Clear();
-                    }
-                }
-            }
-
-            public void SetCurrentCategory(String CategorieId)
+                        _currentServer.Albums.Clear();
+                    }
+                }
+            }
+
+            public void SetCurrentAlbum(String AlbumId)
             {
                 if (_currentServer != null)
@@ -191,22 +191,22 @@
                     lock (_lock)
                     {
-                        String currentsCategoryDir = BuildCategoryDirCache(_currentServer, CategorieId);
-                        if (_currentServer.Categories.ContainsKey(CategorieId))
-                        {
-                            _currentCategory = _currentServer.Categories[CategorieId];
+                        String currentsAlbumDir = BuildAlbumDirCache(_currentServer, AlbumId);
+                        if (_currentServer.Albums.ContainsKey(AlbumId))
+                        {
+                            _currentAlbum = _currentServer.Albums[AlbumId];
                         }
                         else
                         {
-                            CategoryDictionnaryItem category = new CategoryDictionnaryItem();
-                            category.BasePath = new DirectoryInfo(currentsCategoryDir);
-                            category.CategorieId = CategorieId;
-                            _currentServer.Categories.Add(CategorieId, category);
-                            _currentCategory = category;
-                        }
-
-                        if (!Directory.Exists(currentsCategoryDir))
+                            AlbumDictionnaryItem Album = new AlbumDictionnaryItem();
+                            Album.BasePath = new DirectoryInfo(currentsAlbumDir);
+                            Album.AlbumId = AlbumId;
+                            _currentServer.Albums.Add(AlbumId, Album);
+                            _currentAlbum = Album;
+                        }
+
+                        if (!Directory.Exists(currentsAlbumDir))
                         {
                             //Create it
-                            Directory.CreateDirectory(currentsCategoryDir);
+                            Directory.CreateDirectory(currentsAlbumDir);
                         }
                     }
@@ -214,5 +214,5 @@
                 else
                 {
-                    throw new ApplicationException("Current server not set before using category");
+                    throw new ApplicationException("Current server not set before using Album");
                 }
             }
@@ -226,7 +226,7 @@
                     }
 
-                    if (_currentCategory != null)
-                    {
-                        String localDir = Path.Combine(_currentCategory.BasePath.FullName, strImageType);
+                    if (_currentAlbum != null)
+                    {
+                        String localDir = Path.Combine(_currentAlbum.BasePath.FullName, strImageType);
                         if (!Directory.Exists(localDir))
                         {
@@ -277,5 +277,5 @@
                     else
                     {
-                        throw new ApplicationException("Current category not set before using image cache.");
+                        throw new ApplicationException("Current Album not set before using image cache.");
                     }
                 }
